Next: Numerical Procedures Up: Reference Manual Previous: Linear-forms Contents

# Preconditioners

A preconditioner is defined by

    define preconditioner <name> -type=<type> <flaglist>

Example:

    define preconditioner c -type=multigrid -bilinearform=a -smoothingsteps=2

A preconditioner must have a type flags specifying the type of preconditioner. The remaining flags depend on the preconditioner.

Preconditioners are:

- -type=local: Local preconditioner, symmetric Gauss-Seidel Jacobi, block Gauss-Seidel

  Flags are

  -bilinearform=<name> | name of bilinear-form containing matrix
  -block | use block Gauss-Seidel (block defined by fe-space)

- -type=multigrid: Multigrid preconditioner

  Flags are

  -bilinearform=<name> | name of bilinear-form containing matrix
  -smoother=<smoother> | type of smoother: 'point'..GS, 'block'..block GS, 'line'..line-GS (lines by anisotropic mesh)
  -coarsetype=<coarse> | type of coarse grid solver: 'exact'..factorization, 'smoothing'..use smoother, 'cg'..inner cg iteration
  -smoothingsteps=nsm | number of pre- and post-smoothing steps
  -increasesmoothingsteps=inc | smoothing steps on level are with ..finest level
  -coarsesmoothingsteps=nsmc | smoothing steps for coarse grid solver (if smoother)
  -finesmoothingsteps=nsmf | smoothing steps for high order equation
  -test | compute eigenvalues of preconditioned system
  -timing | measure time per preconditioning step

- -type=direct: Cholesky factorization

Next: Numerical Procedures Up: Reference Manual Previous: Linear-forms Contents